#! /usr/bin/env bash

#SBATCH --time=20:00
#SBATCH --partition=batch
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=1
#SBATCH --output=ntasks1.out

module load gcc/9.2.0 openmpi/3.1.6
LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$HOME/lib

export OMP_NUM_THREADS=$SLURM_NTASKS
export CILK_NWORKERS=$SLURM_NTASKS

./runall.sh mtx/belgium_osm.mtx 8
./runall.sh mtx/com-Youtube.mtx 8
./runall.sh mtx/dblp-2010.mtx 8
./runall.sh mtx/mycielskian13.mtx 8
./runall.sh mtx/NACA0015.mtx 8
