/*!
 * \file    config,h
 * \brief   Build configuration file.
 *
 * \author
 *    Christos Choutouridis AEM:8997
 *    <cchoutou@ece.auth.gr>
 */

#ifndef CONFIG_H_
#define CONFIG_H_

#include <v12.h>
#include <v3.h>
#include <v4.h>
#include <elearn.h>

/*
 * Defines for different version of the exercise
 */
#define  V12   2
#define  V3    3
#define  V4    4

// Fail-safe verision selection
#if !defined CODE_VERSION
 #define CODE_VERSION   V4
#endif

// matrix alias template dispatcher based on pre-define flag from compiler (see Makefile)
#if   CODE_VERSION == V12
   using namespace v12;
   using matrix = v12::matrix;
#elif CODE_VERSION == V3
   using namespace v3;
   using matrix = v3::matrix;
#elif CODE_VERSION == V4
   using namespace v4;
   using matrix = v4::matrix;
#endif

#endif /* CONFIG_H_ */
